jackrabbit-oak-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Julian Reschke (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (OAK-7595) Update Oak 1.0 to Jackrabbit 2.8.8
Date Fri, 06 Jul 2018 13:53:00 GMT

    [ https://issues.apache.org/jira/browse/OAK-7595?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16534837#comment-16534837
] 

Julian Reschke commented on OAK-7595:
-------------------------------------

Does not work due to OSGi test failures:

{noformat}
ERROR: Bundle org.apache.jackrabbit.oak-core [27] Error starting file:/C:/projects/apache/oak/1.0/oak-it/osgi/target/test-bundles/oak-core.jar
(org.osgi.framework.BundleException: Unresolved constraint in bundle org.apache.jackrabbit.oak-core
[27]: Unable to resolve 27.0: missing requirement [27.0] osgi.wiring.package; (&(osgi.wiring.package=org.apache.jackrabbit.commons.jackrabbit.authorization)(version>=2.8.0)(!(version>=3.0.0))))
org.osgi.framework.BundleException: Unresolved constraint in bundle org.apache.jackrabbit.oak-core
[27]: Unable to resolve 27.0: missing requirement [27.0] osgi.wiring.package; (&(osgi.wiring.package=org.apache.jackrabbit.commons.jackrabbit.authorization)(version>=2.8.0)(!(version>=3.0.0)))
        at org.apache.felix.framework.Felix.resolveBundleRevision(Felix.java:3974)
        at org.apache.felix.framework.Felix.startBundle(Felix.java:2037)
        at org.apache.felix.framework.Felix.setActiveStartLevel(Felix.java:1291)
        at org.apache.felix.framework.FrameworkStartLevelImpl.run(FrameworkStartLevelImpl.java:304)
        at java.lang.Thread.run(Thread.java:748)
ERROR: Bundle org.apache.jackrabbit.oak-jcr [28] Error starting file:/C:/projects/apache/oak/1.0/oak-it/osgi/target/test-bundles/oak-jcr.jar
(org.osgi.framework.BundleException: Unresolved constraint in bundle org.apache.jackrabbit.oak-jcr
[28]: Unable to resolve 28.0: missing requirement [28.0] osgi.wiring.package; (&(osgi.wiring.package=org.apache.jackrabbit.commons.observation)(version>=2.8.0)(!(version>=3.0.0))))
org.osgi.framework.BundleException: Unresolved constraint in bundle org.apache.jackrabbit.oak-jcr
[28]: Unable to resolve 28.0: missing requirement [28.0] osgi.wiring.package; (&(osgi.wiring.package=org.apache.jackrabbit.commons.observation)(version>=2.8.0)(!(version>=3.0.0)))
        at org.apache.felix.framework.Felix.resolveBundleRevision(Felix.java:3974)
        at org.apache.felix.framework.Felix.startBundle(Felix.java:2037)
        at org.apache.felix.framework.Felix.setActiveStartLevel(Felix.java:1291)
        at org.apache.felix.framework.FrameworkStartLevelImpl.run(FrameworkStartLevelImpl.java:304)
        at java.lang.Thread.run(Thread.java:748)
ERROR: Bundle org.apache.jackrabbit.oak-lucene [29] Error starting file:/C:/projects/apache/oak/1.0/oak-it/osgi/target/test-bundles/oak-lucene.jar
(org.osgi.framework.BundleException: Unresolved constraint in bundle org.apache.jackrabbit.oak-lucene
[29]: Unable to resolve 29.0: missing requirement [29.0] osgi.wiring.package; (&(osgi.wiring.package=org.apache.jackrabbit.oak.api)(version>=1.0.0)(!(version>=2.0.0)))
[caused by: Unable to resolve 27.0: missing requirement [27.0] osgi.wiring.package; (&(osgi.wiring.package=org.apache.jackrabbit.commons.jackrabbit.authorization)(version>=2.8.0)(!(version>=3.0.0)))])
org.osgi.framework.BundleException: Unresolved constraint in bundle org.apache.jackrabbit.oak-lucene
[29]: Unable to resolve 29.0: missing requirement [29.0] osgi.wiring.package; (&(osgi.wiring.package=org.apache.jackrabbit.oak.api)(version>=1.0.0)(!(version>=2.0.0)))
[caused by: Unable to resolve 27.0: missing requirement [27.0] osgi.wiring.package; (&(osgi.wiring.package=org.apache.jackrabbit.commons.jackrabbit.authorization)(version>=2.8.0)(!(version>=3.0.0)))]
        at org.apache.felix.framework.Felix.resolveBundleRevision(Felix.java:3974)
        at org.apache.felix.framework.Felix.startBundle(Felix.java:2037)
        at org.apache.felix.framework.Felix.setActiveStartLevel(Felix.java:1291)
        at org.apache.felix.framework.FrameworkStartLevelImpl.run(FrameworkStartLevelImpl.java:304)
        at java.lang.Thread.run(Thread.java:748)

{noformat}



> Update Oak 1.0 to Jackrabbit 2.8.8
> ----------------------------------
>
>                 Key: OAK-7595
>                 URL: https://issues.apache.org/jira/browse/OAK-7595
>             Project: Jackrabbit Oak
>          Issue Type: Task
>          Components: parent
>            Reporter: Julian Reschke
>            Assignee: Julian Reschke
>            Priority: Minor
>




--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message